dbplus_restorepos
dbplus_ropen
DB++ Functions
PHP Manual

# dbplus_rkeys

(PHP 4 >= 4.0.7, PECL dbplus:0.9)

dbplus_rkeys — Specify new primary key for a relation

### Description

mixed dbplus_rkeys ( resource `$relation` , mixed `$domlist` )

dbplus_rkeys() will replace the current primary key for `relation` with the combination of domains specified by `domlist` .

### Parameters

`relation`

  A relation opened by dbplus_open().

`domlist`

  A combination of domains. May be passed as a single domain name string or as an array of domain names.

### Return Values

Returns resource on success or `DBPLUS_ERR_UNKNOWN` on failure.

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

dbplus_restorepos
dbplus_ropen
DB++ Functions
PHP Manual